"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a2a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a340>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a3e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a480>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a520>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a5c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a660>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a700>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a7a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a840>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a8e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10f73a980>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10f73aa20>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10f73aac0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10f73ab60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10f73ac00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10f73aca0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10f73ad40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10f73ade0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10f73ae80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10f73af20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10f73afc0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b060>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b100>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b1a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b240>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b2e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b380>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b420>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b4c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b560>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b600>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b6a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b740>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b7e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b880>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b920>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10f73b9c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f73ba60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f73bb00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10f73bba0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10f73bc40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10f73bce0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10f73bd80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10f73be20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10f73bec0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10f73bf60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c040>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c0e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c180>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c220>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c2c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c360>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c400>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c4a0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c540>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c5e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c680>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c720>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c7c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c860>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c900>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10f77c9a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10f77ca40>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10f77cae0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10f77cb80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10f77cc20>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10f77ccc0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10f77cd60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10f77ce00>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10f77cea0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10f77cf40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10f77cfe0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d080>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d120>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d1c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d260>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d300>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d3a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d440>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d580>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d4e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d620>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d6c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10f77d760>)]
name: str = 'fr_HOCCN'
